module Character exposing (..)

type alias Character =
    { name : String
    , spheres : Spheres
    }

type alias Spheres =
    { correspondence : Sphere
    }

type alias Sphere =
    { name : String
    , dots : Int
    }

changeName : Character -> String -> Character
changeName character newName =
    if ( newName == "")
    then
        character
    else
        { character | name = newName }

new : Character
new =
    { name = "Default Name" 
    , spheres = 
        { correspondence = 
            { name = "Correspondence"
            , dots = 0
            }
        }
    }